Rated 3 out of 5 stars

not compatible with FireFox 3.5 ???
please update!